package fr.irisa.cairn.jnimap.isl;

/**
 *  Automatically generated by jnimap 
 * @generated
 */
public interface IISLASTNodeVisitor {
	void visitISLASTNode(ISLASTNode obj);
	void visitISLASTBlockNode(ISLASTBlockNode obj);
	void visitISLASTForNode(ISLASTForNode obj);
	void visitISLASTIfNode(ISLASTIfNode obj);
	void visitISLASTMarkNode(ISLASTMarkNode obj);
	void visitISLASTUnscannedNode(ISLASTUnscannedNode obj);
	void visitISLASTUserNode(ISLASTUserNode obj);
}
